'use strict';

var appRoot = require('app-root-path');

var tsc = require('typescript');
var babelJest = require('babel-jest');

var tsConfig = require(appRoot + '/tsconfig.json');

module.exports = {
	process: function process(src, path) {
		var isTypeScript = path.endsWith('.ts') || path.endsWith('.tsx');
		var isJavaScript = path.endsWith('.js') || path.endsWith('.jsx');

		if (isTypeScript) {
			src = tsc.transpile(src, tsConfig.compilerOptions, path, []);
		}

		if (isJavaScript || isTypeScript) {
			src = babelJest.process(src, isJavaScript ? path : 'file.js');
		}

		return src;
	}
};
